CREATE TABLE irc_cand_sec_profiles (
    CAND_SEC_PROFILE_ID               NUMBER(18, 0) ,
    NAME                              VARCHAR2(960)     NOT NULL,
    DESCRIPTION                       CLOB          ,
    ENABLED_FLAG                      VARCHAR2(4)       NOT NULL,
    SECURE_BY_RECRUITING_TYPE_FLAG    VARCHAR2(4)       NOT NULL,
    SECURE_BY_PERSON_TYPE_FLAG        VARCHAR2(4)       NOT NULL,
    SECURE_BY_CAND_COUNTRY_FLAG       VARCHAR2(4)       NOT NULL,
    SECURE_BY_GRADE_LEVEL_FLAG        VARCHAR2(4)       NOT NULL,
    SECURE_BY_BUSINESS_UNIT_FLAG      VARCHAR2(4)       NOT NULL,
    SECURE_BY_JOB_FAMILY_FLAG         VARCHAR2(4)       NOT NULL,
    SECURE_BY_JOB_FUNC_FLAG           VARCHAR2(4)       NOT NULL,
    SECURE_BY_LEGAL_EMPLOYER_FLAG     VARCHAR2(4)       NOT NULL,
    VIEW_ALL_FLAG                     VARCHAR2(4)   ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    MODULE_ID                         VARCHAR2(128) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    CAND_SEC_PROFILE_ID               NUMBER(18, 0) ,
    NAME                              VARCHAR2(960)     NOT NULL,
    DESCRIPTION                       CLOB          ,
    ENABLED_FLAG                      VARCHAR2(4)       NOT NULL,
    SECURE_BY_RECRUITING_TYPE_FLAG    VARCHAR2(4)       NOT NULL,
    SECURE_BY_PERSON_TYPE_FLAG        VARCHAR2(4)       NOT NULL,
    SECURE_BY_CAND_COUNTRY_FLAG       VARCHAR2(4)       NOT NULL,
    SECURE_BY_GRADE_LEVEL_FLAG        VARCHAR2(4)       NOT NULL,
    SECURE_BY_JOB_FAMILY_FLAG         VARCHAR2(4)       NOT NULL,
    SECURE_BY_JOB_FUNC_FLAG           VARCHAR2(4)       NOT NULL,
    SECURE_BY_LEGAL_EMPLOYER_FLAG     VARCHAR2(4)       NOT NULL,
    VIEW_ALL_FLAG                     VARCHAR2(4)   ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    MODULE_ID                         VARCHAR2(128) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    SECURE_BY_BUSINESS_UNIT_FLAG      VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_irc_cand_sec_profiles PRIMARY KEY (CAND_SEC_PROFILE_ID, CAND_SEC_PROFILE_ID)
);
